##----------------------------------------------------------------------------
# Created with genmake.pl v1.1 on Mon Jun 27 16:30:26 2005
# genmake.pl home: http://muquit.com/muquit/software/
# Copryright: GNU GPL (http://www.gnu.org/copyleft/gpl.html)
##----------------------------------------------------------------------------
rm=rm -f
CC= gcc
CXX= g++
DEFS=
PROGNAME= main
INCLUDES=  -I.
LIBS=


DEFINES= $(INCLUDES) $(DEFS) -DSYS_UNIX=1
CFLAGS= -g $(DEFINES)

SRCS = aqtool.cpp

OBJS = aqtool.o

.c.o:
	$(SHOW_COMMAND)echo --------- [$*.c] ---------------------------
	$(SHOW_COMMAND)$(CC) $(CFLAGS) -c $*.c

.cpp.o:
	$(SHOW_COMMAND)echo -=--=--=- [$*.cpp] -=--=--=--=--=--=--=--=--=-
	$(SHOW_COMMAND)$(CXX) $(CFLAGS) -c $*.cpp

all:miniclean $(PROGNAME)

$(PROGNAME) : $(OBJS)
	$(CC) $(CFLAGS) -o $(PROGNAME) $(OBJS) $(LIBS)
	
clean:
	$(rm) $(OBJS) $(PROGNAME).exe core *~

miniclean: clean
